﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        private DataSet dtSet;

        public Form1()
        {
            InitializeComponent();
            CreateCustomersTable();
            this.ultraGrid1.InitializeLayout += UltraGrid1_InitializeLayout;

            this.ultraGrid1.DataSource = dtSet.Tables[0];
            this.ultraGrid1.DisplayLayout.Bands[0].Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect;
        }

        private void UltraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.ActiveRowAppearance.Reset();

            e.Layout.Override.ActiveCellAppearance.Reset();


            e.Layout.Rows[0].Cells[0].Appearance.BackColor = Color.Red;
            e.Layout.Rows[0].Cells[1].Appearance.BackColor = Color.White;
            e.Layout.Rows[0].Cells[2].Appearance.BackColor = Color.Red;
            e.Layout.Rows[1].Cells[0].Appearance.BackColor = Color.White;
            e.Layout.Rows[1].Cells[1].Appearance.BackColor = Color.Blue;
            e.Layout.Rows[1].Cells[2].Appearance.BackColor = Color.Green;
            e.Layout.Rows[2].Cells[0].Appearance.BackColor = Color.Green;
            e.Layout.Rows[2].Cells[1].Appearance.BackColor = Color.Red;
            e.Layout.Rows[2].Cells[2].Appearance.BackColor = Color.White;
            e.Layout.Rows[3].Cells[0].Appearance.BackColor = Color.White;
            e.Layout.Rows[3].Cells[1].Appearance.BackColor = Color.Blue;
            e.Layout.Rows[3].Cells[2].Appearance.BackColor = Color.Green;


            e.Layout.Override.RowAppearance.BackColor = Color.Green;
            e.Layout.Override.RowAppearance.AlphaLevel = 255;
            e.Layout.Override.HotTrackRowAppearance.AlphaLevel = 128;

            e.Layout.Override.HotTrackRowAppearance.BackColor = Color.Red;
        }

        private void CreateCustomersTable()
        {
            // Create a new DataTable.
            DataTable custTable = new DataTable("Customers");
            DataColumn dtColumn;
            DataRow myDataRow;

            // Create id column
            dtColumn = new DataColumn();
            dtColumn.DataType = typeof(Int32);
            dtColumn.ColumnName = "id";
            dtColumn.Caption = "Cust ID";
            dtColumn.ReadOnly = false;
            dtColumn.Unique = true;
            // Add column to the DataColumnCollection.
            custTable.Columns.Add(dtColumn);

            // Create Name column.
            dtColumn = new DataColumn();
            dtColumn.DataType = typeof(String);
            dtColumn.ColumnName = "Name";
            dtColumn.Caption = "Cust Name";
            dtColumn.AutoIncrement = false;
            dtColumn.ReadOnly = false;
            dtColumn.Unique = false;
            /// Add column to the DataColumnCollection.
            custTable.Columns.Add(dtColumn);

            // Create Address column.
            dtColumn = new DataColumn();
            dtColumn.DataType = typeof(String);
            dtColumn.ColumnName = "Address";
            dtColumn.Caption = "Address";
            dtColumn.ReadOnly = false;
            dtColumn.Unique = false;
            // Add column to the DataColumnCollection.
            custTable.Columns.Add(dtColumn);

            // Make id column the primary key column.
            DataColumn[] PrimaryKeyColumns = new DataColumn[1];
            PrimaryKeyColumns[0] = custTable.Columns["id"];
            custTable.PrimaryKey = PrimaryKeyColumns;

            // Create a new DataSet
            dtSet = new DataSet();

            // Add custTable to the DataSet.
            dtSet.Tables.Add(custTable);

            // Add data rows to the custTable using NewRow method
            // I add three customers with their addresses, names and ids
            myDataRow = custTable.NewRow();
            myDataRow["id"] = 1001;
            myDataRow["Address"] = "43 Lanewood Road, cito, CA";
            myDataRow["Name"] = "George Bishop";
            custTable.Rows.Add(myDataRow);
            myDataRow = custTable.NewRow();
            myDataRow["id"] = 1002;
            myDataRow["name"] = "Rock joe";
            myDataRow["Address"] = " kind of Prussia, PA";
            custTable.Rows.Add(myDataRow);
            myDataRow = custTable.NewRow();
            myDataRow["id"] = 1003;
            myDataRow["Name"] = "Miranda";
            myDataRow["Address"] = "279 P. Avenue, Bridgetown, PA";
            custTable.Rows.Add(myDataRow);
            myDataRow = custTable.NewRow();
            myDataRow["id"] = 1004;
            myDataRow["Name"] = "Scott";
            myDataRow["Address"] = "100 S. Avenue, Bridgetown, PA";
            custTable.Rows.Add(myDataRow);
        }
    }


}
